class QuotationsController < ApplicationController
  before_filter :require_connected_user, :only => [:added, :new, :created]

  def index
    @quotations = Quotation.latest.published.with_votes.paginate(:page => params[:page])
  end

  def added
    @quotations = Quotation.latest.submitted_by(facebook_user.uid).with_votes.paginate(:page => params[:page])
    render :index
  end
  
  def top
    @quotations = Quotation.top.published.with_votes.paginate(:page => params[:page])
    render :index
  end
  
  def voted
    @quotations = Quotation.latest.voted_by(facebook_user.uid).with_votes.paginate(:page => params[:page])
    render :index
  end

  def show
    @quotation = Quotation.includes(:votes).find(params[:id])
  end

  def new
    @quotation = Quotation.new
  end

  def create
    @quotation = Quotation.new(params[:quotation])
    @quotation.uid = facebook_user.uid
    
    if @quotation.save
      session[:auto_publish] = true
      redirect_to(@quotation)
    else
      render :new
    end
  end
end
