class VotesController < ApplicationController
  before_filter :require_connected_user
  before_filter :load_quotation

  def create
    @quotation.votes.create(:uid => facebook_user.uid)
    handle_response
  end
  
  def destroy
    @quotation.votes.find_by_uid!(facebook_user.uid).destroy
    handle_response
  end
  
  private
  
  def load_quotation
    @quotation = Quotation.find(params[:quotation_id])
  end

  def handle_response
    respond_to do |format|
      format.js { head(:ok) }
      format.html { redirect_to(@quotation) }
    end    
  end
end
