class Vote < ActiveRecord::Base
  belongs_to :quotation, :counter_cache => true
  
  validates :quotation_id, :presence => true, :uniqueness => {:scope => :uid, :if => :uid}
  
  after_create :publish_quotation

  def self.votes_by_uid(uid)
    returning({}) do |votes|
      where(:uid => uid).select('id,quotation_id').each { |v| votes[v.id] = v.quotation_id }
    end
  end
  
  private
  
  def publish_quotation
    quotation.publish if quotation.publishable?
  end
end
