require File.expand_path('../boot', __FILE__)
require 'rails/all'

Bundler.require(:default, Rails.env) if defined?(Bundler)

module Cyty
  module Facebook
    def self.config
      @@config ||= YAML.load_file(File.join(Rails.root, 'config', 'facebook.yml'))[Rails.env]
    end

    def self.application_url
      "http://www.facebook.com/apps/application.php?id=#{application_id}"
    end

    def self.application_id
      config['application_id']
    end

    def self.api_key
      config['api_key']
    end

    def self.application_secret
      config['application_secret']
    end
  end

  class Application < Rails::Application
    config.middleware.use Rack::Facebook,
      :app_name => 'Cyty',
      :api_key => Facebook.api_key,
      :application_secret => Facebook.application_secret

    config.time_zone = 'Warsaw'
    config.i18n.default_locale = :pl
    config.secret_token = '85fd7a23baa8820259c9d7ae788544bf0505cadd69215a62ff126d515aa6d7b0d088edd44b3538eb9939f3ae3718b7bd03acf5d1ba9c920a00302b377c842682'
  end
end
