set :default_environment, {
  'PATH'         => '/home/deploy/.rvm/rubies/ree-1.8.7-2010.01/bin:/home/deploy/.rvm/gems/ree-1.8.7-2010.01/bin:/home/deploy/.rvm/bin:$PATH',
  'RUBY_VERSION' => '1.8.7',
  'GEM_HOME'     => '/home/deploy/.rvm/gems/ree-1.8.7-2010.01',
  'GEM_PATH'     => '/home/deploy/.rvm/gems/ree-1.8.7-2010.01',
  'BUNDLE_PATH'  => '/home/deploy/.rvm/gems/ree-1.8.7-2010.01'
}

set :ssh_options, { :forward_agent => true }

set :user, 'deploy'
set :use_sudo, false

set :application, 'cyty'
set :deploy_to, "/home/#{user}/app/#{application}"

set :scm, :git
set :repository, 'git@github.com:adrpac/cyty.git'
set :deploy_via, :remote_cache

role :web, 'cyty.pl'
role :app, 'cyty.pl'
role :db, 'cyty.pl', :primary => true

namespace :bundle do
  task :symlink, :roles => :app do
    shared_dir = File.join(shared_path, 'bundle')
    release_dir = File.join(current_release, '.bundle')
    run("mkdir -p #{shared_dir} && ln -s #{shared_dir} #{release_dir}")
  end

  task :install, :roles => :app do
    bundle.symlink
    run "cd #{release_path} && bundle install --without test"
  end
end

namespace :config do
  desc 'Make symlinks for configuration files'
  task :symlink, :roles => :app do
    %w(database facebook).each do |file|
      run "ln -nfs #{shared_path}/config/#{file}.yml #{release_path}/config/#{file}.yml"
    end
  end
end

namespace :deploy do
  task :start do; end
  task :stop do; end
  task :restart, :roles => :app, :except => { :no_release => true } do
    run "#{try_sudo} touch #{File.join(current_path, 'tmp', 'restart.txt')}"
  end
end

after 'deploy:update_code', 'bundle:install', 'config:symlink'
